import opusutil

from rm_HSTMission import *
from rm_FuseMission import *

def crank(name):
  """
=====================================================================
Name: rm_MissionFactory.crank

Description:
------------
This function generates a mission object.  For HST ingest, either
an HST or FUSE type of mission object is possible.

Inputs:
------------------
name - name of the mission

History:
--------
01/09/04 49551 MSwam     first version
07/15/10 57271 MSwam     remove db retry parameter

=====================================================================
  """
  #
  if name.upper() == "FUSE":
    return rm_FuseMission(name)
  else: # assume HST
    return rm_HSTMission(name)


#========================================================================
# TEST 
# % python rm_MissionFactory.py
#========================================================================
if __name__ == "__main__":
  a = crank("HST")
  opusutil.PrintMsg("I","done")
